/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2010 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register Query Popular Tags
  --
  l_sql :=
'        SELECT tc.tag_id
              ,tc.tag
              ,tc.count
        FROM   xxas_com_tag_cloud tc
        WHERE  tc.count > 0
        ORDER BY tc.count desc ';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryPopularTags'
    ,p_securing_function => 'XXAS_SRV_Q_POPULAR_TAGS_PERM'
    ,p_sql               => l_sql
    ,p_page_size         => 30);

END;
/
COMMIT;
EXIT;
